class Gtkdatabox < Formula
  desc "Widget for live display of large amounts of changing data"
  homepage "https://sourceforge.net/projects/gtkdatabox/"
  url "https://downloads.sourceforge.net/project/gtkdatabox/gtkdatabox-1/gtkdatabox-1.0.0.tar.gz"
  sha256 "8bee70206494a422ecfec9a88d32d914c50bb7a0c0e8fedc4512f5154aa9d3e3"
  license "LGPL-2.1-or-later"
  revision 1

  depends_on "pkg-config" => [:build, :test]
  depends_on "cairo"
  depends_on "glib"
  depends_on "gtk+3"
  depends_on "pango"

  on_macos do
    depends_on "at-spi2-core"
    depends_on "gdk-pixbuf"
    depends_on "gettext"
    depends_on "harfbuzz"
  end

  def install
    system "./configure", *std_configure_args.reject { |s| s["--disable-debug"] }
    system "make", "install"
  end

  test do
    (testpath/"test.c").write <<~EOS
      #include <gtkdatabox.h>

      int main(int argc, char *argv[]) {
        gtk_init(&argc, &argv);
        GtkWidget *db = gtk_databox_new();
        return 0;
      }
    EOS

    pkg_config_flags = shell_output("pkg-config --cflags --libs gtkdatabox").chomp.split
    system ENV.cc, "test.c", "-o", "test", *pkg_config_flags
    # Disable this part of test on Linux because display is not available.
    system "./test" if OS.mac?
  end
end
